--RN04 - criar tabela para registro de processos a serem referenciados em notas fiscais
IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[PROCESSOS_FISCAIS_REFERENCIADOS]') AND type in (N'U'))
BEGIN
	CREATE TABLE PROCESSOS_FISCAIS_REFERENCIADOS(
	CD_PROC_FISCAL_REFERENCIADO NUMERIC (6,0) NOT NULL
	,CD_ORIG_PROC NUMERIC (6,0) NOT NULL
	,CD_ATO_CONCESSORIO NUMERIC (6,0) NULL
	, N_PROC VARCHAR(60) NOT NULL
	CONSTRAINT PK_CD_PROC_FISCAL_REFERENCIADO PRIMARY KEY (CD_PROC_FISCAL_REFERENCIADO),
	CONSTRAINT FK_CD_ORIG_PROC FOREIGN KEY (CD_ORIG_PROC) REFERENCES ORIGEM_PROCESSOS_REFERENCIADOS(CD_ORIG_PROC),
	CONSTRAINT FK_CD_ATO_CONCESSORIO FOREIGN KEY (CD_ATO_CONCESSORIO) REFERENCES TIPO_ATO_CONCESSORIO(CD_ATO_CONCESSORIO)
	)
END
